Subject: Re: linux-next: manual merge of the tip tree with the thermal tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 1 Apr 2020 11:42:34 +1100

Hi all,

On Wed, 25 Mar 2020 13:32:40 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   drivers/thermal/cpufreq_cooling.c
> 
> between commit:
> 
>   ff44f672d741 ("thermal/drivers/cpufreq_cooling: Fix return of cpufreq_set_cur_state")
> 
> from the thermal tree and commit:
> 
>   f12e4f66ab6a ("thermal/cpu-cooling: Update thermal pressure in case of a maximum frequency capping")
> 
> from the tip tree.
> 
> I fixed it up (the latter seems to include the former, so I just used
> the latter) and can carry the fix as necessary. This is now fixed as
> far as linux-next is concerned, but any non trivial conflicts should be
> mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

This is now a conflict between the thermal tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell